org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class AggregateTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AggregateTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AggregateTest.Traversals

- Enclosing class:
    AggregateTest

      public static class AggregateTest.Traversals
      extends AggregateTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AggregateTest

      `AggregateTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Collection>` | `get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX()`
    `Traversal<Vertex,Collection>` | `get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX()`
    `Traversal<Vertex,List<String>>` | `get_g_V_aggregateXxX_byXnameX_capXxX()`
    `Traversal<Vertex,List<Vertex>>` | `get_g_V_aggregateXxX_byXout_order_byXnameXX_capXxX()`
    `Traversal<Vertex,List<Integer>>` | `get_g_V_aggregateXxX_byXvaluesXageX_isXgtX29XXX_capXxX()`
    `Traversal<Vertex,Collection<Integer>>` | `get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()`
    `Traversal<Vertex,List<String>>` | `get_g_V_name_aggregateXglobal_xX_capXxX()`
    `Traversal<Vertex,List<String>>` | `get_g_V_name_aggregateXxX_capXxX()`
    `Traversal<Vertex,Path>` | `get_g_V_out_aggregateXaX_path()`
    `Traversal<Vertex,Collection>` | `get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX(Object v1Id)`
    `Traversal<Vertex,Set<String>>` | `get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AggregateTest

      `g_V_aggregateXlocal_a_nameX_out_capXaX, g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX, g_V_aggregateXxX_byXnameX_capXxX, g_V_aggregateXxX_byXout_order_byXnameXX_capXxX, g_V_aggregateXxX_byXvaluesXageX_isXgtX29XXX_capXxX, g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX, g_V_out_aggregateXaX_path, g_V_valueXnameX_aggregateXglobal_xX_capXxX, g_V_valueXnameX_aggregateXxX_capXxX, g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX, g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_name_aggregateXglobal_xX_capXxX

          public Traversal<Vertex,List<String>> get_g_V_name_aggregateXglobal_xX_capXxX()

      Specified by:
        `get_g_V_name_aggregateXglobal_xX_capXxX` in class `AggregateTest`

    - #### get_g_V_aggregateXxX_byXout_order_byXnameXX_capXxX

          public Traversal<Vertex,List<Vertex>> get_g_V_aggregateXxX_byXout_order_byXnameXX_capXxX()

      Specified by:
        `get_g_V_aggregateXxX_byXout_order_byXnameXX_capXxX` in class `AggregateTest`

    - #### get_g_V_aggregateXxX_byXvaluesXageX_isXgtX29XXX_capXxX

          public Traversal<Vertex,List<Integer>> get_g_V_aggregateXxX_byXvaluesXageX_isXgtX29XXX_capXxX()

      Specified by:
        `get_g_V_aggregateXxX_byXvaluesXageX_isXgtX29XXX_capXxX` in class `AggregateTest`

    - #### get_g_V_name_aggregateXxX_capXxX

          public Traversal<Vertex,List<String>> get_g_V_name_aggregateXxX_capXxX()

      Specified by:
        `get_g_V_name_aggregateXxX_capXxX` in class `AggregateTest`

    - #### get_g_V_aggregateXxX_byXnameX_capXxX

          public Traversal<Vertex,List<String>> get_g_V_aggregateXxX_byXnameX_capXxX()

      Specified by:
        `get_g_V_aggregateXxX_byXnameX_capXxX` in class `AggregateTest`

    - #### get_g_V_out_aggregateXaX_path

          public Traversal<Vertex,Path> get_g_V_out_aggregateXaX_path()

      Specified by:
        `get_g_V_out_aggregateXaX_path` in class `AggregateTest`

    - #### get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX

          public Traversal<Vertex,Collection<Integer>> get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()

      Specified by:
        `get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX` in class `AggregateTest`

    - #### get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX

          public Traversal<Vertex,Collection> get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX()

      Specified by:
        `get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX` in class `AggregateTest`

    - #### get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX

          public Traversal<Vertex,Collection> get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX(Object v1Id)

      Specified by:
        `get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX` in class `AggregateTest`

    - #### get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX

          public Traversal<Vertex,Set<String>> get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()

      Specified by:
        `get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX` in class `AggregateTest`

    - #### get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX

          public Traversal<Vertex,Collection> get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX()

      Specified by:
        `get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX` in class `AggregateTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.